Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.dms.table
Interface ColumnDefinition

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable, Name, java.io.Serializable

public interface ColumnDefinition
extends Name

`ColumnDefinition` describes a column. It contains the information of a column, such as the name, unit, description, and value type of the column.

Since:
  Oracle Application Server 10g (10.1.3)

Field Summary
`static byte` | `DOUBLE` the type ID for double column value
`static byte` | `INTEGER` the type ID for integer column value
`static byte` | `LONG` the type ID for long column value
`static byte` | `STRING` the type ID for string column value
`static byte` | `UNKNOWN` the type ID for default column value

Method Summary
`java.lang.String` | `getDescription()` Gets the description of the column.
`java.lang.String` | `getDisplayName()` Gets the display name of the column.
`java.lang.String` | `getNLSID()` Gets the NLS ID of the column.
`java.lang.String` | `getType()` Gets the type of the column value.
`byte` | `getTypeID()` Gets the numerical type ID of the column value.
`java.lang.String` | `getUnit()` Gets the unit of the column.
`boolean` | `isKey()` Returns whether the column is a key.

Methods inherited from interface oracle.dms.table.Name
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### UNKNOWN

    public static final byte UNKNOWN

  the type ID for default column value
  See Also:
    Constant Field Values

### STRING

    public static final byte STRING

  the type ID for string column value
  See Also:
    Constant Field Values

### INTEGER

    public static final byte INTEGER

  the type ID for integer column value
  See Also:
    Constant Field Values

### DOUBLE

    public static final byte DOUBLE

  the type ID for double column value
  See Also:
    Constant Field Values

### LONG

    public static final byte LONG

  the type ID for long column value
  See Also:
    Constant Field Values

Method Detail

### getUnit

    public java.lang.String getUnit()

  Gets the unit of the column.
  Returns:
    the unit of the column.
  Since:
    Oracle Application Server 10g (10.1.3)

### getDescription

    public java.lang.String getDescription()

  Gets the description of the column.
  Returns:
    the description of the column.
  Since:
    Oracle Application Server 10g (10.1.3)

### getType

    public java.lang.String getType()

  Gets the type of the column value.
  Returns:
    the type of the column value. It must be one of "`Integer`", "`Long`", "`Double`", and "`String`".
  Since:
    Oracle Application Server 10g (10.1.3)

### getTypeID

    public byte getTypeID()

  Gets the numerical type ID of the column value.
  Returns:
    the numerical type ID of the column value. It must be one of `INTEGER`, `LONG`, `DOUBLE`, and `STRING`.
  Since:
    Oracle Application Server 10g (10.1.3)

### getNLSID

    public java.lang.String getNLSID()

  Gets the NLS ID of the column.
  Returns:
    the NLS ID of the column.
  Since:
    Oracle Application Server 10g (10.1.3)

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of the column.
  Returns:
    the display name of the column.
  Since:
    Oracle Application Server 10g (10.1.3)

### isKey

    public boolean isKey()

  Returns whether the column is a key.
  Returns:
    `true` if the column is a key, `false` otherwise.
  Since:
    Oracle Application Server 10g (10.1.3)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server DMS API Reference 10g Release 3 (10.1.3) B25989-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2006, Oracle. All Rights Reserved.